
# to enable openconnect support, waiting on NetworkManger-openconnect
# https://bugzilla.redhat.com/show_bug.cgi?id=1171438
%define openconnect 1

Name:    kde-plasma-networkmanagement-extras
Version: 0.9.0.9
Release: 3%{?dist}
Summary: NetworkManager KDE Extras

License: (GPLv2 or GPLv3) and GPLv2+ and LGPLv2+ and LGPLv2
URL:     https://projects.kde.org/projects/extragear/base/networkmanagement

# yes, 0.9.0 is still under "unstable"
Source0: http://download.kde.org/unstable/networkmanagement/%{version}/src/networkmanagement-%{version}.tar.bz2

## upstream patches
Patch0: networkmanagement-add-option-for-server-certificate-verification.patch

## upstreamable patches
# fix build for newer openconnect versions
Patch50:  networkmanagement-openconnect.patch

BuildRequires: gettext
BuildRequires: kdelibs4-devel
BuildRequires: kde-workspace-devel
BuildRequires: pkgconfig(NetworkManager) >= 0.9.0
BuildRequires: pkgconfig(libnm-glib) pkgconfig(libnm-util)

%description
%{summary}.

%if 0%{?openconnect}
%package -n kde-plasma-networkmanagement-openconnect
Summary:  OpenConnect support for %{name}
Requires: NetworkManager-openconnect
BuildRequires: pkgconfig(openconnect)
%description -n kde-plasma-networkmanagement-openconnect
%{summary}.
%endif

%package -n kde-plasma-networkmanagement-openvpn
Summary:  OpenVPN support for %{name}
Requires: NetworkManager-openvpn
%description -n kde-plasma-networkmanagement-openvpn
%{summary}.

%package -n kde-plasma-networkmanagement-vpnc
Summary:  Vpnc support for %{name}
Requires: NetworkManager-vpnc
%description -n kde-plasma-networkmanagement-vpnc
%{summary}.

%prep
%setup -q -n networkmanagement-%{version}

%patch0 -p1 -b .add-option-for-server-certificate-verification
%patch50 -p1 -b .openconnect


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd


%if 0%{?openconnect}
make %{?_smp_mflags} -C %{_target_platform}/vpnplugins/openconnect/
%endif
make %{?_smp_mflags} -C %{_target_platform}/vpnplugins/openvpn/
make %{?_smp_mflags} -C %{_target_platform}/vpnplugins/vpnc/

%install
%if 0%{?openconnect}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}/vpnplugins/openconnect/
%endif
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}/vpnplugins/openvpn/
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}/vpnplugins/vpnc/


%if 0%{?openconnect}
%files -n kde-plasma-networkmanagement-openconnect
%{_kde4_libdir}/kde4/networkmanagement_openconnectui.so
%{_kde4_datadir}/kde4/services/networkmanagement_openconnectui.desktop
%endif

%files -n kde-plasma-networkmanagement-openvpn
%{_kde4_libdir}/kde4/networkmanagement_openvpnui.so
%{_kde4_datadir}/kde4/services/networkmanagement_openvpnui.desktop

%files -n kde-plasma-networkmanagement-vpnc
%{_kde4_libdir}/kde4/networkmanagement_vpncui.so
%{_kde4_datadir}/kde4/services/networkmanagement_vpncui.desktop

%changelog
* Mon May 04 2015 Jan Grulich <jgrulich@redhat.com> 0.9.0.9-3
- add vpnc vpn plugin

* Tue Jan 06 2015 Rex Dieter <rdieter@fedoraproject.org> 0.9.0.9-2
- enable -openconnect

* Wed Dec 10 2014 Rex Dieter <rdieter@fedoraproject.org> 0.9.0.9-1
- First try (for epel7)

